#include "messageDialog.h"
#include "ui_messageDialog.h"

MessageDialogBtn g_msgDlgBtn = btn_Null;

MessageDialog::MessageDialog(QWidget *parent)
    : QDialog(parent)
    , ui(new Ui::messageDialog)
{
    ui->setupUi(this);
    //setWindowFlags(windowFlags() & ~Qt::WindowCloseButtonHint);//去掉关闭按钮
    setWindowFlags(Qt::Dialog | Qt::CustomizeWindowHint | Qt::WindowTitleHint);//去掉关闭按钮和图标

    setFixedSize(width(), height()); //不可缩放

    connect(ui->btnConfrim, SIGNAL(clicked()), this, SLOT(onBtnClicked_confirm()));
    connect(ui->btnYes, SIGNAL(clicked()), this, SLOT(onBtnClicked_yes()));
    connect(ui->btnNo, SIGNAL(clicked()), this, SLOT(onBtnClicked_no()));
}

MessageDialog::~MessageDialog()
{
    delete ui;
}

void MessageDialog::setType(MessageDialogType type)
{
    if(type == type_information)
    {
        ui->typeLabel->setStyleSheet("border-image: url(:/img/images/icon_information.png);");
        ui->stackedWidget->setCurrentIndex(0);
    }
    else if(type == type_question)
    {
        ui->typeLabel->setStyleSheet("border-image: url(:/img/images/icon_question.png);");
        ui->stackedWidget->setCurrentIndex(1);
    }
    else if(type == type_warning)
    {
        ui->typeLabel->setStyleSheet("border-image: url(:/img/images/icon_no.png);");
        ui->stackedWidget->setCurrentIndex(0);
    }
}

void MessageDialog::setMessage(MessageDialogType type,const QString& strTitle,const QString& strContent)
{
    setType(type);
    ui->labelTitle->setText(strTitle);
    setWindowTitle(strTitle);
    ui->labelContent->setText(strContent);
}

void MessageDialog::onBtnClicked_confirm()
{
    hide();
    emit sgl_hide();
}

void MessageDialog::onBtnClicked_yes()
{
    g_msgDlgBtn = btn_Yes;
    hide();
    emit sgl_hide();
}

void MessageDialog::onBtnClicked_no()
{
    g_msgDlgBtn = btn_No;
    hide();
    emit sgl_hide();
}

